Package Scientific :: Package Geometry :: Module Objects3D :: Class Plane

[frames] | no frames]

# Class Plane

    GeometricalObject3D --+
                          |
                         Plane

Plane

Instance Methods

__init__(self, *args) There are two calling patterns: |

`float`

distanceFrom(self, point) |

Scientific.Geometry.Vector

projectionOf(self, point) Returns: the projection of point onto the plane |

Plane

rotate(self, axis, angle) Returns: a copy of the plane rotated around the coordinate origin |

`float` or `NoneType`

volume(self) Returns: the volume of the object. |

Inherited from `GeometricalObject3D`: `hasPoint`, `intersectWith`

Method Details

### __init__(self, *args)
(Constructor)

There are two calling patterns:

- Plane(point, normal), where point (a vector) is an arbitrary point in the plane and normal (a vector) indicated the direction normal to the plane.
- Plane(p1, p2, p3), where each argument is a vector and describes a point in the plane. The three points may not be colinear.

### distanceFrom(self, point)

Parameters:
  - `point` - a point in space
Returns: `float`
Overrides: GeometricalObject3D.distanceFrom
  (inherited documentation)

### projectionOf(self, point)

Parameters:
  - `point` (Scientific.Geometry.Vector) - a point in space
Returns: Scientific.Geometry.Vector
  the projection of point onto the plane

### rotate(self, axis, angle)

Parameters:
  - `axis` (Scientific.Geometry.Vector) - the rotation axis
  - `angle` (`float`) - the rotation angle
Returns: Plane
  a copy of the plane rotated around the coordinate origin

### volume(self)

Returns: `float` or `NoneType`
  the volume of the object. The result is `None` for unbounded objects and zero for lower-dimensional objects.
Overrides: GeometricalObject3D.volume
  (inherited documentation)